Arreglado el Diccionario Español (España) de Firefox

Una vez mas, la comunidad OpenSource se anota un tanto. Un tanto en rapidez de reacción, un dato en escucha a los usuarios, y en definitiva, un tanto a la hora de hacer las cosas bien. Ya hablé hace unos días del lío que hubo con la actualización del Diccionario Español (España) a la versión 1.2, en la que mas que arreglar, se rompían cosas y se hacia del addon perfecto, algo inutilizable. Pues hoy mismo (domingo!) acaba de salir la actualización 1.2.1 que arregla todo el daño echo.

diccionario-espanol

Ahora, esta actualización es totalmente compatible con Firefox hasta su versió 3.1 (ahora en beta) y lo que realmente se ha echo, es reempaquetar la versión 1.1 y compatibilizarla con las nuevas versiones. ¿Por que? Pues por que se ha visto que la versión 1.2, basada en el diccionario de OpenOffice tenía demasiados fallos y la 1.1 ha funcionado medianamente bien siempre. Podéis ver la explicación oficial en este enlace: Información Diccionario Español Proyecto Nave. Y, instalar la nueva versión mediante el actualizador automático de Firefox, o mediante el sitio de Addons: Diccionario Español (España) 1.2.1.

Ah! Por cierto, si habíais seguido la guía para que Firefox no comprobara la compatibilidad de vuestros addons, ya podeis indicarle que lo vuelva a comprobar.

Reinstalar el Diccionario de Español en Firefox

Hace poco, el diccionario de Español/España ofrecido por Mozilla para corregir las faltar ortográficas en Firefox, se actualizó. Cosa muy de agradecer, por que la anterior versión 1.1 databa del año 2006.  La cosa es que con la nueva versión 1.2, se ha utilizado como base el diccionario en Español implementado en OpenOffice, y por alguna razón, no incluye todos los tiempos verbales y no toma como erróneas muchas palabras que si que lo son (y que antes si que eran detectadas).

firefox-logo

Así que quienes hemos confiado en Mozilla a la hora de actualizar a la nueva versión, nos hemos encontrado que no nos sirve. Así que, lo lógico es desinstalar el diccionario y volver a su versión anterior. ¿El problema? No se puede, puesto que la versión 1.1 no está certificada para Firefox 3.0.5 y por tanto, no deja instalarla.

Para solucionar esto, solo hay que conseguir que Firefox no compruebe la compatibilidad de las extensiones. Cosa muy simple:

  1. Tecleamos about:config en la barra de direcciones.
  2. Le decimos a Firefox  que iremos con cuidado.
  3. con el botón derecho (o control+clic) en cualquier sitio de la lista que sale y escogemos Nuevo/Lógico.
  4. En el dialogo que nos saldrá, escribimos extensions.checkCompatibility y le damos un valor False
  5. Volvemos a hacer lo de Nuevo/Lógico, pero esta vez escribimos extensions.checkUpdateSecurity y le damos valor False
  6. Reiniciamos Firefox

Ahora nuestro Firefox ya no comprobará si las extensiones serán compatibles. De esta forma cuando intentemos reinstalar la anterior versión del diccionario no nos indicara que es incompatible. De todas formas, si quieres que vuelva a comprobarlo, solo tienes que editar esas dos entradas indicándoles valor True.

diccionario-espanol-firefox

Para ello, vamos a la pagina del diccionario en Español de Mozilla donde están todas las versiones y le indicamos que queremos instalar la versión 1.1.

Y voila! ya tenemos nuestra querida version anterior funcionando perfectamente.